ros-noetic-fkie-master-sync (1.3.2-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sat, 16 Jul 2022 22:00:00 -0000

ros-noetic-fkie-master-sync (1.3.1-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-master-sync (1.3.0-2focal) focal; urgency=high

  * fixed param sync
  * fkie_master_sync: convert diagnostic value to string
  * fkie_master_sync: fix value error while prepare diagnostic report
  * fkie_master_sync: fixed debug output
  * fkie_master_sync: improved warnings for unsupported or wrong md5sum message types
  * fkie_master_sync: added names and topics of multimaster nodes to default ignore lists
  * fkie_master_sync: do not update publisher node if it is in filter lister
  * fkie_master_sync: added master_sync and master_discovery
  * fkie_master_sync: added diagnostics and master_sync topics to default ignore list
  * Contributors: Alexander Tiderko, Thomas Barz

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-master-sync (1.2.7-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 22 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-sync (1.2.6-2focal) focal; urgency=high

  * replaced Thread.isAlive() by .is_alive() according to issue #149 <https://github.com/fkie/multimaster_fkie/issues/149>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-sync (1.2.5-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-sync (1.2.4-2focal) focal; urgency=high

  * fkie_master_sync: fix problems after stop master_sync on remote hosts
  * updated diagnostic message for warnings in master_sync
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 10 Nov 2020 23:00:00 -0000

ros-noetic-fkie-master-sync (1.2.0-2focal) focal; urgency=high

  * fkie_multimaster: fixed warning for cmake_minimum_required
  * fkie_multimaster: fixed build/start in noetic
  * fkie_master_sync: send OK diagnostic message on start
  * fkie_master_sync: changed handling of the issue #128 <https://github.com/fkie/multimaster_fkie/issues/128>
    Changed update of the publisher after register a remote subscription
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 21 Jul 2020 22:00:00 -0000

ros-noetic-fkie-master-sync (1.1.0-2focal) focal; urgency=high

  * prepared conditions for python3  in package xml
  * fkie_multimaster_msgs: changed timestamp in MasterState from float to time
  * fkie_multimaster: a lot of merges for python 3 compatibility
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 12 May 2020 22:00:00 -0000

ros-noetic-fkie-master-sync (0.8.12-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Apr 2019 22:00:00 -0000

ros-noetic-fkie-master-sync (0.8.11-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.10-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.9-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 20 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.8-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.7-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.5-2focal) focal; urgency=high

  * master_sync_fkie: added a simple node to sync parameter
    Original code from
    https://github.com/jhu-lcsr-forks/multimaster_fkie/tree/param-sync
    adapted to change only local ROS Parameter Server
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 10 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.4-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 07 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.3-2focal) focal; urgency=high

  * install launch dir pull request #81 <https://github.com/fkie/multimaster_fkie/issues/81> from ahoarau/patch-1
  * Contributors: Alexander Tiderko, Antoine Hoarau

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.2-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 09 Aug 2018 22:00:00 -0000

ros-noetic-fkie-master-sync (0.8.1-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-noetic-fkie-master-sync (0.8.0-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 15 Jul 2018 22:00:00 -0000

ros-noetic-fkie-master-sync (0.7.8-2focal) focal; urgency=high

  * Fix catkin_lint warnings
  * Contributors: Timo Röhling

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 23 Mar 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.7.7-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Oct 2017 22:00:00 -0000

ros-noetic-fkie-master-sync (0.7.6-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-noetic-fkie-master-sync (0.7.5-2focal) focal; urgency=high

  * fkie_master_sync: changed default filter for sync nodes, see issue #63 <https://github.com/fkie/fkie_multimaster/issues/63>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-fkie-master-sync (0.7.4-2focal) focal; urgency=high

  * fkie_master_sync: fixed sync_hosts parameter
  * added description how to filter for specific hosts
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 02 May 2017 22:00:00 -0000

ros-noetic-fkie-master-sync (0.7.3-2focal) focal; urgency=high

  * fixed warnings in API documentation
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 23 Apr 2017 22:00:00 -0000

ros-noetic-fkie-master-sync (0.7.2-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Jan 2017 23:00:00 -0000

ros-noetic-fkie-master-sync (0.7.1-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 25 Jan 2017 23:00:00 -0000

ros-noetic-fkie-master-sync (0.7.0-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 08 Jan 2017 23:00:00 -0000

ros-noetic-fkie-master-sync (0.6.2-2focal) focal; urgency=high

  * Increased logging in master sync.
    Added more logging around synchronization to help with
    tracking changes in the local ROS master due to multimaster.
  * Drop roslib.load_manifest, unneeded with catkin
  * Contributors: Alexander Tiderko, Denise Eng, Mike Purvis

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 11 Nov 2016 23:00:00 -0000

ros-noetic-fkie-master-sync (0.6.1-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Oct 2016 22:00:00 -0000

ros-noetic-fkie-master-sync (0.6.0-2focal) focal; urgency=high

  * fkie_master_sync: updated launch file
  * fkie_master_sync: added a 'resync_on_reconnect_timeout' parameter that controls how long the offline-online period is before the resync. see enhancement #48 <https://github.com/fkie/fkie_multimaster/issues/48>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 11 Oct 2016 22:00:00 -0000

ros-noetic-fkie-master-sync (0.5.8-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 09 Sep 2016 22:00:00 -0000

ros-noetic-fkie-master-sync (0.5.7-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 06 Sep 2016 22:00:00 -0000

ros-noetic-fkie-master-sync (0.5.6-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 31 Aug 2016 22:00:00 -0000

ros-noetic-fkie-master-sync (0.5.5-2focal) focal; urgency=high

  * fkie_master_sync: added resync after the host was offline
  * fkie_master_sync: fixed pep8 warnings
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Aug 2016 22:00:00 -0000

ros-noetic-fkie-master-sync (0.5.4-2focal) focal; urgency=high

  * fkie_multimaster: added '/do_not_sync' parameter
    this allows to hide some topics/services, topic types, from
    synchronisation. It can be defined as string or as list.
  * fkie_master_sync: fixed unnecessary update requests
    wrong timestamps leads to updates
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 20 Apr 2016 22:00:00 -0000

ros-noetic-fkie-master-sync (0.5.3-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-fkie-master-sync (0.5.2-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 30 Mar 2016 22:00:00 -0000

ros-noetic-fkie-master-sync (0.5.1-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 22 Mar 2016 23:00:00 -0000

ros-noetic-fkie-master-sync (0.5.0-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 16 Mar 2016 23:00:00 -0000

ros-noetic-fkie-master-sync (0.4.4-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 17 Dec 2015 23:00:00 -0000

ros-noetic-fkie-master-sync (0.4.3-2focal) focal; urgency=high

  * fkie_master_discovery: adopt some changes from pull request #24 <https://github.com/fkie/fkie_multimaster/issues/24>
    Thanks to @garyservin for pull request #24 <https://github.com/fkie/fkie_multimaster/issues/24>:
    * Added support for different logging levels in master_monitor:
    currently all logs are marked as warnings, where some should be marked
    as errors.
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 29 Nov 2015 23:00:00 -0000

ros-noetic-fkie-master-sync (0.4.2-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 18 Oct 2015 22:00:00 -0000

ros-noetic-fkie-master-sync (0.4.1-2focal) focal; urgency=high

  * Deprecate is_ignored_topic. Move new parameters to the end of the parameter list
  * Make configuration more granular
    allows filtering of specific subscribers or publishers
  * fkie_multimaster: fixed double log output
  * fkie_multimaster: fixed error in launch files included in this package
  * Contributors: Alexander Tiderko, Julian Cerruti

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 27 Apr 2015 22:00:00 -0000

ros-noetic-fkie-master-sync (0.4.0-2focal) focal; urgency=high

  * fkie_multimaster: added log_level parameter to all nodes
  * master_sync: fix the long wait time on first sync
  * fkie_master_sync: fix annonce publisher about the AnyMsg subscribers
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 19 Feb 2015 23:00:00 -0000

ros-noetic-fkie-master-sync (0.3.18-2focal) focal; urgency=high

  * master_sync: subscribers with None type are now subscribed as AnyType message
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 17 Feb 2015 23:00:00 -0000

ros-noetic-fkie-master-sync (0.3.17-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 21 Jan 2015 23:00:00 -0000

ros-noetic-fkie-master-sync (0.3.16-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 07 Dec 2014 23:00:00 -0000

ros-noetic-fkie-master-sync (0.3.15-2focal) focal; urgency=high

  * fkie_multimaster: added queue_size argumet to the publishers
  * fkie_multimaster: removed some python mistakes
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 30 Nov 2014 23:00:00 -0000

ros-noetic-fkie-master-sync (0.3.14-2focal) focal; urgency=high

  * fkie_master_sync: reduced update notifications after registration of a subscriber

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 23 Oct 2014 22:00:00 -0000

ros-noetic-fkie-master-sync (0.3.13-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-noetic-fkie-master-sync (0.3.12-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 07 Jul 2014 22:00:00 -0000

ros-noetic-fkie-master-sync (0.3.11-2focal) focal; urgency=high

  * fkie_master_sync: fixed a block while connection problems

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Jun 2014 22:00:00 -0000

ros-noetic-fkie-master-sync (0.3.10-2focal) focal; urgency=high

  * fkie_master_sync: fixed a bug which sometimes does not synchronized some topics
  * fkie_multimaster: fixed problems detected by catkin_lint

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 30 Mar 2014 22:00:00 -0000

ros-noetic-fkie-master-sync (0.3.9-2focal) focal; urgency=high

  * fkie_multimaster: moved .gitignore to top level

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 11 Dec 2013 23:00:00 -0000

ros-noetic-fkie-master-sync (0.3.8-2focal) focal; urgency=high

  * fkie_master_sync: added sync for subscriber with AnyMsg, e.g relay (topic_tools), if local a publisher with known type is available
  * fkie_multimaster: catkin_lint inspired fixes, thanks @roehling

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 09 Dec 2013 23:00:00 -0000

ros-noetic-fkie-master-sync (0.3.7-2focal) focal; urgency=high

  * fkie_multimaster: fixed problems with resolving service types while sync
    while synchronization not all topics and services can be synchronized
    because of filter or errors. A detection for this case was added.

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 16 Oct 2013 22:00:00 -0000

ros-noetic-fkie-master-sync (0.3.6-2focal) focal; urgency=high

  * fkie_multimaster: added SyncServiceInfo message to detect changes on services
  * fkie_master_sync: kill the own ros node on error while load interface to inform the user in node_manager about errors

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 16 Sep 2013 22:00:00 -0000

ros-noetic-fkie-master-sync (0.3.5-2focal) focal; urgency=high

  * fkie_master_sync: fixed a brocken connection after desync

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 05 Sep 2013 22:00:00 -0000

ros-noetic-fkie-master-sync (0.3.4-2focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 04 Sep 2013 22:00:00 -0000

ros-noetic-fkie-master-sync (0.3.3-2focal) focal; urgency=high

  * fkie_node_manager: fixed a problem while launching a default cfg nodes
  * fkie_multimaster: (*) added additional filtered interface to master_discovery rpc-server to get a filtered MasterInfo and reduce the load on network.
    (*) added the possibility to sync remote nodes using ~sync_remote_nodes parameter
  * fkie_master_sync: added support to ignore nodes/topic/services of selected hosts
  * fkie_master_sync: fixed ignore hosts, some topics sync ignores

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Sep 2013 22:00:00 -0000


